const express = require('express')
const bodyParser = require('body-parser')
const mongoose = require('mongoose')
const movies = require('./routes/movies')

const app = express()

const dbName = 'movieDB'
var connectionString = `mongodb://localhost:27017/${dbName}`

mongoose.connect(connectionString)

app.use(bodyParser.json())
app.use(bodyParser.urlencoded({ extended: true }))
app.use('/api', movies)

app.set('port', process.env.PORT || 4000)

const server = app.listen(app.get('port'), function () {
  console.log(`Server listening on port ${server.address().port}`)
})
